Package ghidra.app.util.html

# Class PointerDataTypeHTMLRepresentation

java.lang.Object
ghidra.app.util.html.HTMLDataTypeRepresentation
ghidra.app.util.html.PointerDataTypeHTMLRepresentation

public class PointerDataTypeHTMLRepresentation extends HTMLDataTypeRepresentation

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.html.HTMLDataTypeRepresentation

  `ALIGNMENT_PREFIX, BR, CHARACTER_SPACE, DIFF_COLOR, ELLIPSES, EMPTY_TAG, END_COMMENT, FORWARD_SLASH, HTML_CLOSE, HTML_OPEN, HTML_SPACE, INDENT_CLOSE, INDENT_OPEN, LENGTH_PREFIX, MAX_CHARACTER_LENGTH, MAX_COMPONENTS, MAX_LINE_LENGTH, MIDDLE_COMMENT, originalHTMLData, START_COMMENT, TAB, TABLE_CLOSE, TABLE_OPEN, TD_CLOSE, TD_OPEN, TR_CLOSE, TR_OPEN, TT_CLOSE, TT_OPEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointerDataTypeHTMLRepresentation(Pointer pointer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HTMLDataTypeRepresentation[]`
  `diff(HTMLDataTypeRepresentation otherRepresentation)`
  Compares this representation and the given representation creates a diff string for both representations.
  `String`
  `getHTMLContentString()`
  This is like `HTMLDataTypeRepresentation.getHTMLString()`, but does not put HTML tags around the data
  `String`
  `getHTMLString()`
  Returns an HTML string for this data representation object.

  ### Methods inherited from class ghidra.app.util.html.HTMLDataTypeRepresentation

  `addDataTypeLength, addDataTypeLengthAndAlignment, buildFooterText, buildHeaderText, completelyDifferentDiff, copyLines, createCommentLines, createPlaceHolderLine, diffTextLine, generateTypeName, getCommentForDataType, getDataTypeLengthString, getDiffInput, getDiffInput, getFullHTMLContentString, getFullHTMLString, truncateAsNecessary, truncateAsNecessary, wrapStringInColor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PointerDataTypeHTMLRepresentation

    public PointerDataTypeHTMLRepresentation(Pointer pointer)

- ## Method Details

  - ### getHTMLString

    public String getHTMLString()
    Description copied from class: `HTMLDataTypeRepresentation`
    Returns an HTML string for this data representation object. The HTML returned will be truncated if it is too long. To get the full HTML, call `HTMLDataTypeRepresentation.getFullHTMLString()`.
    Overrides:
      `getHTMLString` in class `HTMLDataTypeRepresentation`
    Returns:
      the html
    See Also:
      - `HTMLDataTypeRepresentation.getFullHTMLString()`

  - ### getHTMLContentString

    public String getHTMLContentString()
    Description copied from class: `HTMLDataTypeRepresentation`
    This is like `HTMLDataTypeRepresentation.getHTMLString()`, but does not put HTML tags around the data
    Overrides:
      `getHTMLContentString` in class `HTMLDataTypeRepresentation`
    Returns:
      the content

  - ### diff

    public HTMLDataTypeRepresentation[] diff(HTMLDataTypeRepresentation otherRepresentation)
    Description copied from class: `HTMLDataTypeRepresentation`
    Compares this representation and the given representation creates a diff string for both representations.
    Specified by:
      `diff` in class `HTMLDataTypeRepresentation`
    Parameters:
      `otherRepresentation` - the other representation to diff against.
    Returns:
      An array of two strings: the first is this object's diff value, the second is the given objects diff value.